#include <PwmDecoder.h>

volatile bool PwmDecoder::flagDecoder;
volatile unsigned long PwmDecoder::timeOld;

const int rx_pin = 3;		// Can be used pin 2 or 3 on Arduino UNO (https://goo.gl/nHC95v)

PwmDecoder SerialPwm(rx_pin);

void setup() {
  Serial.begin(250000);
  SerialPwm.begin(1200);   // 1200 bit per second
  Serial.println("Ricevitore");
}

void loop() {
  while (SerialPwm.isReceiving())
  {
    SerialPwm.receive();
  }
  if (SerialPwm.available()) {
    String str = SerialPwm.readString();
    if (str.indexOf("##") != (-1) && str.indexOf(";;") != (-1)) {
      uint8_t indexOne = str.indexOf("##");
      uint8_t indexTwo = str.indexOf(";;");
      String msg = str.substring(indexOne + 2, indexTwo);
      Serial.println(msg);
    }
  }
}
