#include <PwmEncoder.h>

const int tx_pin = 13;
const int en_pin = 11;

PwmEncoder SerialPwm(tx_pin);

String str;

void setup() {
  Serial.begin(9600);
  SerialPwm.begin(1200);              // 1200 bit per second
  SerialPwm.setEnablePin(en_pin);     // Set power up/down pin
  SerialPwm.powerDown();              // Power down module
}

void loop() {

  // Alternative way: send a string
  if (Serial.available() > 0) {
    SerialPwm.powerUp();            // Power up module
    delay(100);                     // Load serial buffer
    str = Serial.readString();      // One second timeOut
    SerialPwm.print(str);
    Serial.println(str);
    SerialPwm.powerDown();          // Power down module
  }

}
